# Thesis idea



## Environment
This uses the Miniconda environment. To prepare a personalized environment you will need to install the following:
```
conda create --name "env name" python=3.9 -y
```
```
conda activate "env name"
```
```
conda install -c conda-forge cudatoolkit=11.2 cudnn=8.1.0 -y
```
```
pip install "tensorflow<2.11"
pip install jupyter notebook
pip install "keras"
conda install pillow
conda install scipy
```
> Note the flag *-y* is optional to use

<br>

```
jupyter notebook --notebook-dir='your working directory'
```
> again --notebook-dir='your working directory' is optional if you have configured it beforehand.

### Reopening the environment
After opening the anaconda prompt, you can follow these commands to navigate back to your environment.
#### List all created environments
```
conda info --envs
```

#### Opening commands
```
conda activate "env name"
jupyter notebook --notebook-dir='your working directory'
```


#### Drawing images
To see what images are used you can use matplot to draw them and verify

```
conda install matplotlib
```

#### Flask
Displaying the stream into a webapp.

```
pip install Flask
```


